diff --git a/bison-ts-mode.el b/bison-ts-mode.el.1
index febd2d9..913c1fa 100644
--- a/bison-ts-mode.el
+++ b/bison-ts-mode.el.1
@@ -30,6 +30,8 @@
 
 (require 'treesit)
 (require 'c-ts-common)
+(require 'c-ts-mode) ; For ‘c-ts-mode--get-indent-style’.
+(require 'java-ts-mode) ; For ‘java-ts-mode--indent-rules’.
 
 (declare-function treesit-parser-create "treesit.c")
 (declare-function treesit-induce-sparse-tree "treesit.c")
@@ -62,9 +64,10 @@ It has no effect in the epilogue part of the file."
 
 (defcustom bison-ts-mode-autodetect-language t
   "Search for a %language directive in the file at initialization.
-Changing the value of this directive in the file requires to reload the mode to
-be effective.  If `bison-ts-mode-buffer-language' is set by a file-local
- variable, the auto-detection is not run."
+Changing the value of this directive in the file requires to
+reload the mode to be effective. If
+`bison-ts-mode-buffer-language' is set by a file-local variable,
+the auto-detection is not run."
   :version "30.1"
   :type 'boolean
   :safe 'boolean)
@@ -108,8 +111,8 @@ buffer."
             (group (1+ (in alpha "+")))
             "\"")
            nil
-           t)))
-    (match-string-no-properties 1)))
+           t)
+        (match-string-no-properties 1)))))
 
 
 (defun bison-ts-mode--detect-language (&optional buffer)
@@ -366,4 +369,5 @@ ROOT-NAME is the highest-level node of the embedded language."
     (treesit-major-mode-setup)))
 
 (provide 'bison-ts-mode)
+
 ;;; bison-ts-mode.el ends here
